@echo off
:: Wenn diese Datei im Editor geoeffnet wird, muessen Sie
:: diese ausfuehrbar machen! (Dateiendung ".bat")
:: Der Name dieser Datei muss gleich sein wie EasyTax,
:: jedoch ".bat" statt ".jar". Z.B. "ETAG12.bat" <=> "ETAG12.jar"

:: %~dp0 ist wie das Working dir, es ist das Verzeichnis ohne Dateiname
SET BASEDIR=%~dp0
IF EXIST "%BASEDIR%\lib" SET BASEDIR=%BASEDIR%\lib\

:: Suchen nach einer Java-Installation
SET JAVA=%BASEDIR%\..\jre\bin\java.exe
IF NOT EXIST "%JAVA%" SET JAVA=%JAVA_HOME%\bin\java.exe
IF NOT EXIST "%JAVA%" SET JAVA=%JRE_HOME%\bin\java.exe
IF NOT EXIST "%JAVA%" SET JAVA=%PROGRAMFILES%\Java\jre7\bin\java.exe
IF NOT EXIST "%JAVA%" SET JAVA=%PROGRAMFILES(X86)%\Java\jre7\bin\java.exe
IF NOT EXIST "%JAVA%" SET JAVA=%WINDIR%\System32\java.exe
IF NOT EXIST "%JAVA%" GOTO NOJAVA 

ECHO Java: %JAVA%

:: Basename OHNE Dateiendung! Z.B. "ETAG12"
SET BASENAME=%~n0

:: Das eigentliche Jar (Ganzer Pfad!)
SET JAR=%BASEDIR%\%BASENAME%.jar
IF NOT EXIST "%JAR%" GOTO NOJAR

:: Beide Log-Files
SET LOG=%TEMP%\%BASENAME%_%DATE%
SET LOGSTD=%LOG:/=.%.std.txt
SET LOGERR=%LOG:/=.%.err.txt

:: Infos fuer den User
ECHO Standard-Ausgabe:
ECHO %LOGSTD%
ECHO Fehler-Ausgabe:
ECHO %LOGERR%
ECHO %BASENAME%.jar wird nun gestartet . . .

:: Starten von EasyTax
ECHO ****** LOG START %DATE% %TIME% ****** >> "%LOGSTD%"
ECHO ****** LOG START %DATE% %TIME% ****** >> "%LOGERR%"
"%JAVA%" -Xmx256M -jar "%JAR%" --verbose >> "%LOGSTD%" 2>> "%LOGERR%"
ECHO ****** LOG ENDE %DATE% %TIME% ****** >> "%LOGSTD%"
ECHO ****** LOG ENDE %DATE% %TIME% ****** >> "%LOGERR%"

:: Zeigen der beiden Log-Files
ECHO EasyTax wurde beendet. Die Ausgabedeteien werden nun geoeffnet . . . 
START notepad "%LOGSTD%"
START notepad "%LOGERR%"
PAUSE
EXIT

:: Fehlermeldungen

:NOJAR
ECHO FEHLER: EasyTax-Hauptkomponente (\lib\ET[KANTON][JAHR].jar) nicht gefunden ! ! !
GOTO ERROR

:NOJAVA
ECHO FEHLER: java.exe nicht gefunden ! ! !
ECHO Installieren Sie Java von http://java.com/
rundll32 url.dll,FileProtocolHandler http://java.com/
GOTO ERROR

:ERROR
ECHO Installieren Sie EasyTax neu oder
ECHO wenden Sie sich an den Support:
ECHO Tel. 0900 654321 (Fr. 1.90/Min.)
PAUSE
EXIT